計費
打開賬單門戶
為用戶的個人賬單或組織的團隊賬單生成一個短期有效的客戶門戶 URL。
POST
/
api
/
v1
/
billing
/
portal
打開賬單門戶
curl --request POST \
--url https://api.example.com/api/v1/billing/portal \
--header 'Content-Type: application/json' \
--data '
{
"scope": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/billing/portal"
payload = { "scope": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({scope: '<string>'})
};
fetch('https://api.example.com/api/v1/billing/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/billing/portal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/billing/portal"
payload := strings.NewReader("{\n \"scope\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/billing/portal")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/billing/portal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body打開託管賬單門戶,供用戶更新已保存的銀行卡、查看發票或下載收據。可以將門戶範圍限定為個人賬單客戶,也可以限定為團隊(組織)賬單客戶。
身份驗證
需要攜帶具有billing 權限範圍的 Bearer 令牌。參見
身份驗證。
請求體
string
"user"(個人身份下的默認值)或 "org"(當調用方處於某個團隊內且擁有
manageBilling 權限時的默認值)。團隊範圍還要求該團隊已預先綁定付款方式——
在為賬單充值之前嘗試訪問團隊門戶的調用方,會收到 409
team_billing_setup_required 錯誤,而不是正常響應。示例
curl
curl -X POST "https://api.hitheo.ai/api/v1/billing/portal" \
-H "Authorization: Bearer $THEO_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "scope": "org" }'
SDK
const { portal_url } = await theo.billingPortal({ scope: "org" });
window.open(portal_url, "_blank");
響應
{
"portal_url": "https://portal.hitheo.ai/session/...",
"scope": "org"
}
錯誤
| 狀態碼 | 錯誤碼 | 含義 |
|---|---|---|
| 400 | org_context_required | 請求了 scope: "org",但當前沒有活躍團隊。 |
| 403 | permission_denied | 調用方在當前活躍團隊中不具備 manageBilling 權限。 |
| 409 | team_billing_setup_required | 團隊尚未綁定付款方式——請先完成一次結賬。 |
| 503 | billing_unavailable | 當前部署未配置賬單功能。 |
這個頁面有幫助嗎?
打開賬單門戶
curl --request POST \
--url https://api.example.com/api/v1/billing/portal \
--header 'Content-Type: application/json' \
--data '
{
"scope": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/billing/portal"
payload = { "scope": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({scope: '<string>'})
};
fetch('https://api.example.com/api/v1/billing/portal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/billing/portal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/billing/portal"
payload := strings.NewReader("{\n \"scope\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/billing/portal")
.header("Content-Type", "application/json")
.body("{\n \"scope\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/billing/portal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body